package data;

import java.util.List;
import java.util.Map;

public class Sentence {


	private List<Word> words;
	private List<Taxonomy> taxonomy;

	// GOS
	private String type;
	private Map<String, String> properties;

	public Sentence(List<Word> words, List<Taxonomy> taxonomy) {
		this.words = words;
		this.taxonomy = taxonomy;
	}

	public List<Word> getWords() {
		return words;
	}

	public List<Taxonomy> getTaxonomy() {
		return taxonomy;
	}

	public List<Word> getSublist(int indexFrom, int indexTo) {
		return this.words.subList(indexFrom, indexTo);
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
